Skip to content

Atomically replace the current assignment timeline for one Entity responsibility.

PUT
/api/workspace/entity/{entityIdOrKey}/instances/{instanceId}/responsibilities/{responsibilityKey}
curl --request PUT \
--url https://example.com/api/workspace/entity/example/instances/example/responsibilities/example \
--header 'Content-Type: application/json' \
--data '{ "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ExpectedResourceRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Subjects": [ { "SubjectType": "example", "SubjectId": "example", "EffectiveFrom": "2026-04-15T12:00:00Z", "EffectiveTo": "2026-04-15T12:00:00Z" } ], "Reason": "example" }'
  • None
entityIdOrKey
required
string
instanceId
required
string
responsibilityKey
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Replaces one resource responsibility set.

object
OperationKey
string format: uuid
ExpectedResourceRowVersion
string format: uuid
Subjects
Array<object>
nullable

Describes one assigned responsibility subject.

object
SubjectType
string
nullable
SubjectId
string
nullable
EffectiveFrom
string format: date-time
EffectiveTo
string format: date-time
nullable
Reason
string
nullable
Examplegenerated
{
"OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"ExpectedResourceRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"Subjects": [
{
"SubjectType": "example",
"SubjectId": "example",
"EffectiveFrom": "2026-04-15T12:00:00Z",
"EffectiveTo": "2026-04-15T12:00:00Z"
}
],
"Reason": "example"
}

OK

Media typeapplication/json
object
Data

Marks a responsibility mutation result.

object
Kind
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}